function getChildElementsByClassName(parentElement, className)
{
	var i, childElements, pattern, result;
	result = new Array();
	pattern = new RegExp("\\b"+className+"\\b");


	childElements = parentElement.getElementsByTagName('*');
	for(i = 0; i < childElements.length; i++)
	{
		if(childElements[i].className.search(pattern) != -1)
		{
			result[result.length] = childElements[i];
		}
	}
	return result;
}


function BuildTabs(containerId)
{
	var i, tabContainer, tabContents, tabHeading, title, tabElement;
	var divElement, ulElement, liElement, tabLink, linkText;


	// assume that if document.getElementById exists, then this will work...
	if(! eval('document.getElementById') ) return;

	tabContainer = document.getElementById(containerId);
	if(tabContainer == null)
		return;

	tabContents = getChildElementsByClassName(tabContainer, 'tab-content');
	if(tabContents.length == 0)
		return;

	divElement = document.createElement("div");
  	divElement.className = 'tab-header'
  	divElement.id = containerId + '-header';
	ulElement = document.createElement("ul");
  	ulElement.className = 'tab-list'

	tabContainer.insertBefore(divElement, tabContents[0]);
	divElement.appendChild(ulElement);

	for(i = 0; i < tabContents.length; i++)
	{
		tabHeading = getChildElementsByClassName(tabContents[i], 'tab');
		title = tabHeading[0].childNodes[0].nodeValue;

		// create the tabs as an unsigned list
		liElement = document.createElement("li");
		liElement.id = containerId + '-tab-' + i;

		tabLink = document.createElement("a");
		linkText = document.createTextNode(title);

		tabLink.className = "tab-item";

		tabLink.setAttribute("href","javascript://");
		tabLink.setAttribute( "title", tabHeading[0].getAttribute("title"));
		tabLink.onclick = new Function ("ActivateTab('" + containerId + "', " + i + ")");

		ulElement.appendChild(liElement);
		liElement.appendChild(tabLink);
		tabLink.appendChild(linkText);

		// remove the H1
		tabContents[i].removeChild
	}
}

function ActivateTab(containerId, activeTabIndex)
{
	var i, tabContainer, tabContents;

	tabContainer = document.getElementById(containerId);
	if(tabContainer == null)
		return;

	tabContents = getChildElementsByClassName(tabContainer, 'tab-content');
	if(tabContents.length > 0)
	{
		for(i = 0; i < tabContents.length; i++)
		{
			//tabContents[i].className = "tab-content";
			tabContents[i].style.display = "none";
		}

		tabContents[activeTabIndex].style.display = "block";


    		tabList = document.getElementById(containerId + '-list');
		tabs = getChildElementsByClassName(tabContainer, 'tab-item');
		if(tabs.length > 0)
		{
			for(i = 0; i < tabs.length; i++)
			{
				tabs[i].className = "tab-item";
			}

			tabs[activeTabIndex].className = "tab-item tab-active";
			tabs[activeTabIndex].blur();
		}
	}
}
BuildTabs('tab-container');
ActivateTab('tab-container', 0);
BuildTabs('tab-container-2');
ActivateTab('tab-container-2', 0);


function doClear(N)
{
	var N, pKh1,dHh1,pKh2,dHh2,pK1,pK2,pKm1,dHm1,pKmn1,pKhm,dHhm,pKHMG,pKMg,pKk1,dHk1,pKna1,dHna1,pKhna,dHhna,pKca1,dHca1,pKCa1,pKhca, dHca,pKHCa, pKca2,dHca2,pKCa2;
	
document.form1.new_pK.value = ""; document.form1.new_dHh1.value = "";
document.form1.new_pK2.value = ""; document.form1.new_dHh2.value = "";
document.form1.new_pKm1.value = ""; document.form1.new_dHm1.value = "";
document.form1.new_pKhm.value = "";  document.form1.new_dHhm.value = "";
document.form1.new_pKMg.value = ""; document.form1.new_dHm2.value = "";
document.form1.new_pKk1.value = ""; document.form1.new_dHk1.value = "";
document.form1.new_pKNa1.value = ""; document.form1.new_dHna1.value = "";
document.form1.new_pKHNa.value = ""; document.form1.new_dHhna.value = "";
document.form1.new_pKCa1.value = ""; document.form1.new_dHca1.value = "";
document.form1.new_pKHCa.value = ""; document.form1.new_dHhca.value = "";
document.form1.new_pKCa2.value = ""; document.form1.new_dHca2.value = "";
document.form1.n_temp.value = ""; document.form1.o_temp.value = "289.15 K";
document.form1.n_ion.value = ""; document.form1.o_ion.value = "0";
}


function gettype(N){
var N;

doClear(N);

if (N == 1) {
document.form1.name.value = "ACoA";
document.form1.detail.value = "acetyl-coenzyme A";
document.form1.dfg.value = "-188.52";
document.form1.zi.value = "0";
document.form1.nH.value = "3";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 2) {
document.form1.name.value = "ADP";
document.form1.detail.value = "adenosine diphosphate";
document.form1.dfg.value = "-1906.13";
document.form1.zi.value = "-3";
document.form1.nH.value = "12";
document.form1.pKh1.value = "7.1393";
document.form1.dHh1.value = "-3.8683";
document.form1.pKh2.value = "4.2988";
document.form1.dHh2.value = "14.7544";
document.form1.pKm1.value = "4.5865";
document.form1.dHm1.value = "-18.7367";
document.form1.pKhm.value = "2.4477";
document.form1.dHhm.value = "-9.9911";
document.form1.pKm2.value = "1.6988";
document.form1.dHm2.value = "-13.0056";
document.form1.pKk1.value = "1.6433";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "1.7633";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "4.1465";
document.form1.dHca1.value = "-13.3367";
document.form1.pKhca.value = "2.3377";
document.form1.dHhca.value = "-8.6911";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 3) {
document.form1.name.value = "ATP";
document.form1.detail.value = "adenosine triphosphate";
document.form1.dfg.value = "-2769.67";
document.form1.zi.value = "-4";
document.form1.nH.value = "12";
document.form1.pKh1.value = "7.5677";
document.form1.dHh1.value = "-4.4911";
document.form1.pKh2.value = "4.6333";
document.form1.dHh2.value = "13.1317";
document.form1.pKm1.value = "5.9954";
document.form1.dHm1.value = "-22.9823";
document.form1.pKhm.value = "3.6065";
document.form1.dHhm.value = "-13.3367";
document.form1.pKm2.value = "2.5577";
document.form1.dHm2.value = "-20.0111";
document.form1.pKk1.value = "2.0277";
document.form1.dHk1.value = "-3.4911";
document.form1.pKna1.value = "2.1677";
document.form1.dHna1.value = "-1.6911";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "5.6654";
document.form1.dHca1.value = "-17.9823";
document.form1.pKhca.value = "3.4465";
document.form1.dHhca.value = "-11.6367";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 4) {
document.form1.name.value = "CIT";
document.form1.detail.value = "citrate";
document.form1.dfg.value = "-1157.31";
document.form1.zi.value = "-3";
document.form1.nH.value = "5";
document.form1.pKh1.value = "6.3133";
document.form1.dHh1.value = "-3.7683";
document.form1.pKh2.value = "4.7788";
document.form1.dHh2.value = "1.8544";
document.form1.pKm1.value = "4.8035";
document.form1.dHm1.value = "-11.7367";
document.form1.pKhm.value = "2.6577";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "1.2433";
document.form1.dHk1.value = "-5.4083";
document.form1.pKna1.value = "1.3933";
document.form1.dHna1.value = "-2.8683";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "4.8265";
document.form1.dHca1.value = "-4.9367";

document.form1.pKhca.value = "2.9277";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 5) {
document.form1.name.value = "CoAS";
document.form1.detail.value = "coenzyme A-SH";
document.form1.dfg.value = "0";
document.form1.zi.value = "-1";
document.form1.nH.value = "0";
document.form1.pKh1.value = "8.3844";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 6) {
document.form1.name.value = "CO2_tot";
document.form1.detail.value = "carbon dioxide (total)";
document.form1.dfg.value = "-527.81";
document.form1.zi.value = "-2";
document.form1.nH.value = "0";
document.form1.pKh1.value = "10.3288";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "6.3644";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 7) {
document.form1.name.value = "DHAP";
document.form1.detail.value = "dihydroxyacetone phos-phate";
document.form1.dfg.value = "-1293.67";
document.form1.zi.value = "-2";
document.form1.nH.value = "5";
document.form1.pKh1.value = "6.3288";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "2.4277";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "2.2377";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 8) {
document.form1.name.value = "F6P";
document.form1.detail.value = "D-fructose 6-phosphate";
document.form1.dfg.value = "-1760.7995";
document.form1.zi.value = "-2";
document.form1.nH.value = "11";
document.form1.pKh1.value = "6.3188";
document.form1.dHh1.value = "-1.8046";
document.form1.pKh2.value = "1.3144";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "3.3177";
document.form1.dHm1.value = "-12.2111";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 9) {
document.form1.name.value = "F16P";
document.form1.detail.value = "D-fructose 1,6-phosphate";
document.form1.dfg.value = "-2599.03";
document.form1.zi.value = "-4";
document.form1.nH.value = "10";
document.form1.pKh1.value = "7.4977";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "6.5633";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "4.4154";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "3.4065";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 10) {
document.form1.name.value = "FUM";
document.form1.detail.value = "fumarate";
document.form1.dfg.value = "-599.35";
document.form1.zi.value = "-2";
document.form1.nH.value = "2";
document.form1.pKh1.value = "4.5188";
document.form1.dHh1.value = "-2.8056";
document.form1.pKh2.value = "3.0744";
document.form1.dHh2.value = "0.45722";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "1.4577";
document.form1.dHca1.value = "-8.9311";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 11) {
document.form1.name.value = "G6P";
document.form1.detail.value = "D-glucose 6-phosphate";
document.form1.dfg.value = "-1763.94";
document.form1.zi.value = "-2";
document.form1.nH.value = "11";
document.form1.pKh1.value = "6.4188";
document.form1.dHh1.value = "-1.8046";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "2.5977";
document.form1.dHm1.value = "-12.2111";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 12) {
document.form1.name.value = "GAP";
document.form1.detail.value = "D-glyceraldehyde 3-phosphate";
document.form1.dfg.value = "-1286.65";
document.form1.zi.value = "-2";
document.form1.nH.value = "5";
document.form1.pKh1.value = "5.6988";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 13) {
document.form1.name.value = "GDP";
document.form1.detail.value = "guanosine diphosphate";
document.form1.dfg.value = "-1904.79";
document.form1.zi.value = "-3";
document.form1.nH.value = "12";
document.form1.pKh1.value = "7.1483";
document.form1.dHh1.value = "-4.0083";
document.form1.pKh2.value = "3.2288";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "4.6865";
document.form1.dHm1.value = "-10.8367";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 14) {
document.form1.name.value = "GLC";
document.form1.detail.value = "D-glucose";
document.form1.dfg.value = "-917.23";
document.form1.zi.value = "0";
document.form1.nH.value = "12";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 15) {
document.form1.name.value = "GTP";
document.form1.detail.value = "guanosine triphosphate";
document.form1.dfg.value = "-2768.1";
document.form1.zi.value = "-4";
document.form1.nH.value = "12";
document.form1.pKh1.value = "7.4877";
document.form1.dHh1.value = "-5.4911";
document.form1.pKh2.value = "3.5733";
document.form1.dHh2.value = "5.2317";
document.form1.pKm1.value = "6.0254";
document.form1.dHm1.value = "-21.9823";
document.form1.pKhm.value = "3.5965";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "5.4154";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 16) {
document.form1.name.value = "H2O";
document.form1.detail.value = "water";
document.form1.dfg.value = "-237.19";
document.form1.zi.value = "0";
document.form1.nH.value = "2";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 17) {
document.form1.name.value = "ISCIT";
document.form1.detail.value = "isocitrate";
document.form1.dfg.value = "-1151.55";
document.form1.zi.value = "-3";
document.form1.nH.value = "5";
document.form1.pKh1.value = "6.4083";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "4.7188";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "3.9115";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "2.2877";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "3.8265";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 18) {
document.form1.name.value = "AKG";
document.form1.detail.value = "a-ketoglutarate";
document.form1.dfg.value = "-786.09";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
document.form1.dHca2.value = "#";
}
if (N == 19) {
document.form1.name.value = "MAL";
document.form1.detail.value = "malate";
document.form1.dfg.value = "-839.91";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "5.1438";
document.form1.dHh1.value = "-1.8256";
document.form1.pKh2.value = "3.4794";
document.form1.dHh2.value = "2.7772";
document.form1.pKm1.value = "2.5677";
document.form1.dHm1.value = "-8.6511";
document.form1.pKhm.value = "1.3288";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "0.60885";
document.form1.dHk1.value = "-4.1056";
document.form1.pKna1.value = "0.70885";
document.form1.dHna1.value = "-0.84557";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "2.8077";
document.form1.dHca1.value = "-3.5511";
document.form1.pKhca.value = "1.4888";
document.form1.dHhca.value = "6.7544";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 20) {
document.form1.name.value = "NAD_ox";
document.form1.detail.value = "NAD";
document.form1.dfg.value = "0";
document.form1.zi.value = "-1";
document.form1.nH.value = "26";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";

document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
}
if (N == 21) {
document.form1.name.value = "NAD_red";
document.form1.detail.value = "NADH";
document.form1.dfg.value = "23.29";
document.form1.zi.value = "-2";
document.form1.nH.value = "27";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
}
if (N == 22) {
document.form1.name.value = "NADP_ox";
document.form1.detail.value = "NADP";
document.form1.dfg.value = "-836.63";
document.form1.zi.value = "-3";
document.form1.nH.value = "25";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
}
if (N == 23) {
document.form1.name.value = "NADP_red";
document.form1.detail.value = "NADPH";
document.form1.dfg.value = "-809.19";
document.form1.zi.value = "-4";
document.form1.nH.value = "26";
document.form1.pKh1.value = "#";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 24) {
document.form1.name.value = "OAA";
document.form1.detail.value = "oxaloacetate";
document.form1.dfg.value = "-786.51";
document.form1.zi.value = "-2";
document.form1.nH.value = "2";
document.form1.pKh1.value = "4.3288";
document.form1.dHh1.value = "3.9944";
document.form1.pKh2.value = "2.4744";
document.form1.dHh2.value = "15.9972";
document.form1.pKm1.value = "1.8777";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "2.4577";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "5";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 25) {
document.form1.name.value = "Pi";
document.form1.detail.value = "orthophosphate";
document.form1.dfg.value = "-1096.1";
document.form1.zi.value = "-2";
document.form1.nH.value = "1";
document.form1.pKh1.value = "7.2088";
document.form1.dHh1.value = "3.3544";
document.form1.pKh2.value = "2.1594";
document.form1.dHh2.value = "-9.3228";
document.form1.pKm1.value = "2.6807";
document.form1.dHm1.value = "-12.0091";
document.form1.pKhm.value = "1.0978";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "0.92885";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "1.0388";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "0.30002";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "2.6027";
document.form1.dHca1.value = "-12.0091";
document.form1.pKhca.value = "1.35";
document.form1.dHhca.value = "-12.0046";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 26) {
document.form1.name.value = "PG2";
document.form1.detail.value = "2-phospho-D-glycerate";
document.form1.dfg.value = "-1495.61";
document.form1.zi.value = "-3";
document.form1.nH.value = "4";
document.form1.pKh1.value = "7.6433";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "3.9788";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "3.7365";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "1.8233";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 27) {
document.form1.name.value = "PG3";
document.form1.detail.value = "3-phospho-D-glycerate";
document.form1.dfg.value = "-1501.85";
document.form1.zi.value = "-3";
document.form1.nH.value = "4";
document.form1.pKh1.value = "7.5333";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "4.0688";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "3.4965";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "1.5133";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 28) {
document.form1.name.value = "PEP";
document.form1.detail.value = "phosphoenolpyruvate";
document.form1.dfg.value = "-1262.95";
document.form1.zi.value = "-3";
document.form1.nH.value = "2";
document.form1.pKh1.value = "6.8883";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "3.8788";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "3.5465";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "1.7233";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 29) {
document.form1.name.value = "PYR";
document.form1.detail.value = "pyruvate";
document.form1.dfg.value = "-465.74";
document.form1.zi.value = "-1";
document.form1.nH.value = "3";
document.form1.pKh1.value = "2.4744";
document.form1.dHh1.value = "12.1772";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "1.5288";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "1.2288";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 30) {
document.form1.name.value = "SUC";
document.form1.detail.value = "succinate";
document.form1.dfg.value = "-685.61";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "5.7038";
document.form1.dHh1.value = "-0.83557";
document.form1.pKh2.value = "4.2344";
document.form1.dHh2.value = "2.3772";
document.form1.pKm1.value = "2.2127";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "1.0488";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "0.85885";
document.form1.dHk1.value = "-4.0056";
document.form1.pKna1.value = "0.85005";
document.form1.dHna1.value = "-4.0046";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "2.2627";
document.form1.dHca1.value = "-11.4301";
document.form1.pKhca.value = "1.0788";
document.form1.dHhca.value = "-9.2456";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
if (N == 31) {
document.form1.name.value = "SUCCoA";
document.form1.detail.value = "succinyl-CoA";
document.form1.dfg.value = "-509.59";
document.form1.zi.value = "-1";
document.form1.nH.value = "4";
document.form1.pKh1.value = "4.2044";
document.form1.dHh1.value = "#";
document.form1.pKh2.value = "#";
document.form1.dHh2.value = "#";
document.form1.pKm1.value = "#";
document.form1.dHm1.value = "#";
document.form1.pKhm.value = "#";
document.form1.dHhm.value = "#";
document.form1.pKm2.value = "#";
document.form1.dHm2.value = "#";
document.form1.pKk1.value = "#";
document.form1.dHk1.value = "#";
document.form1.pKna1.value = "#";
document.form1.dHna1.value = "#";
document.form1.pKhna.value = "#";
document.form1.dHhna.value = "#";
document.form1.pKca1.value = "#";
document.form1.dHca1.value = "#";
document.form1.pKhca.value = "#";
document.form1.dHhca.value = "#";
document.form1.pKca2.value = "#";
document.form1.dHca2.value = "#";
//document.form1.H.value = "1";
}
}

function getReaction(m){
var m;
if (m == 1) {document.form2.abbname.value ="GLK";
document.form2.reactionname.value ="Glucokinase";
document.form2.reaction.value ="GLC + ATP = G6P + ADP + H";
document.form2.EC.value ="EC 2.7.1.1";
//document.form2.num.value ="1";
}

if (m == 2) {document.form2.abbname.value ="PGI";
document.form2.reactionname.value ="Phosphoglucose isomerase";
document.form2.reaction.value ="G6P = F6P";
document.form2.EC.value ="EC 5.3.1.9";
//document.form2.num.value ="2";
}

if (m == 3) {document.form2.abbname.value ="PFK";
document.form2.reactionname.value ="Phosphofructokinase";
document.form2.reaction.value ="F6P + ATP = F16P + ADP + H";
document.form2.EC.value ="EC 2.7.1.11";}

if (m == 4) {document.form2.abbname.value ="FBA";
document.form2.reactionname.value ="Fructose-1,6-bisphosphatate aldolase";
document.form2.reaction.value ="F16P = DHAP + GAP";
document.form2.EC.value ="EC 4.1.2.13";}

if (m == 5) {document.form2.abbname.value ="TPI";
document.form2.reactionname.value ="Triosphosphate isomerase";
document.form2.reaction.value ="GAP = DHAP";
document.form2.EC.value ="EC 5.3.1.1";}

if (m == 6) {document.form2.abbname.value ="FBA2";
document.form2.reactionname.value ="Fructose-1,6-bisphosphatate aldolase 2";
document.form2.reaction.value ="F16P = 2 DHAP";
document.form2.EC.value ="EC 4.1.2.13/EC5.3.1.1";}

if (m == 7) {document.form2.abbname.value ="GAP";
document.form2.reactionname.value ="Glycerald-3-P dehydrogenase";
document.form2.reaction.value ="GAP + Pi + NAD + ADP = PG3 + NADH + ATP + H";
document.form2.EC.value ="EC 1.2.1.12";}

if (m == 8) {document.form2.abbname.value ="PGYM";
document.form2.reactionname.value ="Phosphoglycerate mutase";
document.form2.reaction.value ="PG2 = PG3";
document.form2.EC.value ="EC 5.4.2.1";}

if (m == 9) {document.form2.abbname.value ="ENO";
document.form2.reactionname.value ="Enolase";
document.form2.reaction.value ="PG2 = PEP + H2O";
document.form2.EC.value ="EC 4.2.1.11";}

if (m == 10) {document.form2.abbname.value ="PYK";
document.form2.reactionname.value ="Pyruvate Kinase";
document.form2.reaction.value ="PYR + ATP = PEP + ADP + H";
document.form2.EC.value ="EC 2.7.1.40";}

if (m == 11) {document.form2.abbname.value ="CITS";
document.form2.reactionname.value ="Citrate synthase";
document.form2.reaction.value ="OAA + acetylCoA + H2O = CIT + COAS + 2 H";
document.form2.EC.value ="EC 4.1.3.7";}

if (m == 12) {document.form2.abbname.value ="ACON";
document.form2.reactionname.value ="Aconitrate hydratese";
document.form2.reaction.value ="ISCIT = CIT";
document.form2.EC.value ="EC 4.2.1.3";}

if (m == 13) {document.form2.abbname.value ="IDH";
document.form2.reactionname.value ="Isocitrate dehydrogenase";
document.form2.reaction.value ="ISCIT + NADP + H2O = ketoglutarate + NADPH + CO2 + 2 H";
document.form2.EC.value ="EC 1.1.1.42";}

if (m == 14) {document.form2.abbname.value ="SCS";
document.form2.reactionname.value ="Succinate-CoA ligase";
document.form2.reaction.value ="GTP + SUC + COAS + H = GDP + Pi + SUCoA";
document.form2.EC.value ="EC 6.2.1.4";}

if (m == 15) {document.form2.abbname.value ="FUM";
document.form2.reactionname.value ="Fumarate hydratase";
document.form2.reaction.value ="FUM + H2O = MAL";
document.form2.EC.value ="EC 4.2.1.2";}

if (m == 16) {document.form2.abbname.value ="MDH";
document.form2.reactionname.value ="Malate dehydrogenase";
document.form2.reaction.value ="MAL + NAD = OAA + NADH + H";
document.form2.EC.value ="EC 1.1.1.37";}

if (m == 17) {document.form2.abbname.value ="NDK";
document.form2.reactionname.value ="Nucleoside-diphosphate kinase";
document.form2.reaction.value ="ATP + GDP = ADP + GTP";
document.form2.EC.value ="EC 2.7.4.6";}

if (m == 18) {document.form2.abbname.value ="NPTH";
document.form2.reactionname.value ="NADP transhydrogenase";
document.form2.reaction.value ="NAD + NADPH = NADH + NADP";
document.form2.EC.value ="EC 1.6.1.1";}

if (m == 19) {document.form2.abbname.value ="MDH2";
document.form2.reactionname.value ="Malic enzyme";
document.form2.reaction.value ="MAL + NADP + H2O = PYR + NADPH + CO2 + 2 H";
document.form2.EC.value ="EC 1.1.1.40";}

if (m == 20) {document.form2.abbname.value ="MDH3";
document.form2.reactionname.value ="Malate dehydrogenase 2";
document.form2.reaction.value ="MAL + acetylCoA + NAD + H2O = CIT + COAS + NADH +3 H";
document.form2.EC.value ="EC 1.1.1.37";}

if (m == 21) {document.form2.abbname.value ="NADK";
document.form2.reactionname.value ="NAD+ kinase";
document.form2.reaction.value ="ATP + NAD = ADP + NADP + H";
document.form2.EC.value ="EC 2.7.1.23";}

if (m == 22) {document.form2.abbname.value ="ATPS";
document.form2.reactionname.value ="ATPase";
document.form2.reaction.value ="ATP + H2O = ADP + Pi + H";
document.form2.EC.value ="EC 3.6.1.32";}

if (m == 23) {document.form2.abbname.value ="G6PH";
document.form2.reactionname.value ="Alkaline phosphatase / G6P hydrolysis";
document.form2.reaction.value ="G6P + H2O = GLC + Pi";
document.form2.EC.value ="EC 3.1.3.1";}
}

function CalcIonic(){
var T0,I0,Tm,Im,i,dfg,Zi,cH,Mg,K,Na,Ca,pKh1,dHh1,pKh2,dHh2,pK1,pK2,myH1,myH2, myMg3, myMg1, myMg2, myK, myNa, myNa1, myCa1, myCa2, Zi2,pKm1,dHm1,pKmn1,pKhm,dHhm,pKHMG,Zi3, pKMg,pKk1,dHk1,pKna1,dHna1,pKhna,dHhna,pKca1,dHca1,pKCa1,pKhca, dHca,pKHCa, pKca2,dHca2,pKCa2;

Tm = parseFloat(document.form1.temp.value);Im = parseFloat(document.form1.ion.value);
//Ph = parseFloat(document.form1.ph.value);
pKh1 = parseFloat(document.form1.pKh1.value); dHh1 = parseFloat(document.form1.dHh1.value);
Zi = parseFloat(document.form1.zi.value); cH = 1; Mg =2; K =1; Na =1; Ca =2;
//H = parseFloat(document.form1.H.value);
pKh2 = parseFloat(document.form1.pKh2.value); dHh2 = parseFloat(document.form1.dHh2.value); 
pKm1 = parseFloat(document.form1.pKm1.value); dHm1 = parseFloat(document.form1.dHm1.value);
pKhm = parseFloat(document.form1.pKhm.value); dHhm = parseFloat(document.form1.dHhm.value);
pKm2 = parseFloat(document.form1.pKm2.value); dHm2 = parseFloat(document.form1.dHm2.value);
pKk1 = parseFloat(document.form1.pKk1.value); dHk1 = parseFloat(document.form1.dHk1.value);
pKna1 = parseFloat(document.form1.pKna1.value); dHna1 = parseFloat(document.form1.dHna1.value);
pKhna = parseFloat(document.form1.pKna1.value); dHhna = parseFloat(document.form1.dHna1.value);
pKca1 = parseFloat(document.form1.pKca1.value); dHca1 = parseFloat(document.form1.dHca1.value);
pKhca = parseFloat(document.form1.pKhca.value); dHhca = parseFloat(document.form1.dHhca.value);
pKca2 = parseFloat(document.form1.pKca2.value); dHCa2 = parseFloat(document.form1.dHca2.value);

myH1 = Zi + cH;
myH2 = Zi + 1 +cH;
Zi2 = Zi + 1; 
myMg1 = Zi + Mg ;
myMg2 = Zi + 1 +Mg;
myMg3 = Zi + 2 +Mg;
Zi3 = Zi +2;
myK = Zi + K;
myNa = Zi + Na;
myNa1 = Zi + 1 + Na;
myCa1 = Zi + Ca;
myCa2 = Zi + 1 + Ca;
myCa3 = Zi + 2 + Ca;

pK1 = getNewCons(Tm, Im, pKh1, dHh1, Zi, cH, myH1); dH1 = getNewEnth(Im, dHh1, Zi, cH, myH1); 
pK2 = getNewCons(Tm, Im, pKh2, dHh2, Zi2, cH, myH2); dH2 = getNewEnth(Im, dHh2, Zi2, cH, myH2);
pKmn1 = getNewCons(Tm, Im, pKm1, dHm1, Zi, Mg, myMg1); dHmn1 = getNewEnth(Im, dHm1, Zi, Mg, myMg1);
pKHMG = getNewCons(Tm, Im, pKhm, dHhm,Zi2, Mg, myMg2); dHHMG = getNewEnth(Im, dHhm,Zi2, Mg, myMg2);
pKMg = getNewCons(Tm, Im, pKm2, dHm2, Zi3, Mg, myMg3); dHMg = getNewEnth(Im, dHm2, Zi3, Mg, myMg3);
pKk1 = getNewCons(Tm, Im, pKk1, dHk1, Zi, K, myK); dHK1 = getNewEnth(Im, dHk1, Zi, K, myK);
pKNa1 = getNewCons(Tm, Im, pKna1, dHna1, Zi, Na, myNa); dHNa1 = getNewEnth(Im, dHna1, Zi, Na, myNa1);
pKHNa = getNewCons(Tm, Im, pKhna, dHhna, Zi2, Na, myNa1); dHHNa = getNewEnth(Im, dHhna, Zi2, Na, myNa1);
pKCa1 = getNewCons(Tm, Im, pKca1, dHca1, Zi, Ca, myCa1); dHCa1 = getNewEnth(Im, dHca1, Zi, Ca, myCa1);
pKHCa = getNewCons(Tm, Im, pKhca, dHhca, Zi2, Ca, myCa2); dHHCa = getNewEnth(Im, dHhca, Zi2, Ca, myCa2);
pKCa2 = getNewCons(Tm, Im, pKca2, dHca2, Zi3, Ca, myCa3); dHCa2 = getNewEnth(Im, dHca2, Zi3, Ca, myCa3);

//document.form1.answer.value = pK1; 
document.form1.new_pK.value = pK1; document.form1.new_dHh1.value = dH1;
document.form1.new_pK2.value = pK2; document.form1.new_dHh2.value = dH2;
document.form1.new_pKm1.value = pKmn1; document.form1.new_dHm1.value = dHmn1;
document.form1.new_pKhm.value = pKHMG;  document.form1.new_dHhm.value = dHHMG;
document.form1.new_pKMg.value = pKMg; document.form1.new_dHm2.value = dHMg;
document.form1.new_pKk1.value = pKk1; document.form1.new_dHk1.value = dHK1;
document.form1.new_pKNa1.value = pKNa1; document.form1.new_dHna1.value = dHNa1;
document.form1.new_pKHNa.value = pKHNa; document.form1.new_dHhna.value = dHHNa;
document.form1.new_pKCa1.value = pKCa1; document.form1.new_dHca1.value = dHCa1;
document.form1.new_pKHCa.value = pKHCa; document.form1.new_dHhca.value = dHHCa;
document.form1.new_pKCa2.value = pKCa2; document.form1.new_dHca2.value = dHCa2;
document.form1.n_temp.value = Tm; document.form1.o_temp.value = "298.15 K";
document.form1.n_ion.value = Im; document.form1.o_ion.value = "0";
//document.form1.answer1.value = dHhm;
}

function getNewCons(Tm, Im, pK, dH, Zi, H, myT){
var T0,I0,Tm,Im,i,dfg,Zi,H,pKh1,dHh1,pKh2,dHh2,Zi,H,R,P,r,g,h,Q, guma,pK1,beta,pK2,myT,dH,dH1,a;

T0 = 298.15;
I0 = 0;
R = 8.3145e-3;

p = Math.pow(Im,0.5);
r = Math.pow(I0,0.5);
g = (r / (1+1.6*r) - p /(1+1.6*p));
h = ( p / ( 1 + 1.6 * p ) - r / ( 1 + 1.6 * r ) );

//myT =(Zi+cH);

Q = (Math.pow(Zi,2) + Math.pow(H,2)) - Math.pow(myT,2);
guma = 1.10708 - 1.54508E-3 * T0 + 5.95584E-6 * Math.pow(T0,2);
pK1 = pK + (guma/2.303) * g * Q;

beta = -1.28466E-5 * Math.pow(T0,2) + 9.90399E-8 * Math.pow(T0,3);

//if ( isNaN(dH) )
//{ dH1 = 0 + beta * h * Q; }
//else
dH1 = dH + beta * h * Q;

//a = dHh1 + beta * h * Q;

pK2 = pK1 + (1/Tm - 1/T0) * dH1 / (2.303 * R);

pK2 = pK2.toFixed(3);

if ( isNaN(pK2))
{  pK2 = 'Not Available'}

return pK2;
}

function getNewEnth(Im, dH, Zi, H, myT)
{ //Im, dHh2, Zi2, cH, myH2
var T0,I0,Tm,Im,i,dfg,Zi,H,r,g,h,Q, guma,pK1,beta,pK2,myT,dH,dH1, a;

T0 = 298.15;
I0 = 0;

p = Math.pow(Im,0.5);
r = Math.pow(I0,0.5);
g = (p / (1+1.6*p) - r /(1+1.6*r));
Q = (Math.pow(Zi,2) + Math.pow(H,2)) - Math.pow(myT,2);

beta = -1.28466E-5 * Math.pow(T0,2) + 9.90399E-8 * Math.pow(T0,3);
//a = beta * Q * g;
dH1 =  dH + beta * g * Q;
//document.form1.answer1.value = Zi;

dH1 = dH1.toFixed(3);

if ( isNaN(dH1))
{  dH1 = 'Not Available'}

return dH1;
}

function CalcReaction(){
	var R;
	
	R = 8.3145e-3;
	
	
	

}

function calculateK()
{

}

